![](https://github.com/duketemon/pyuplift/raw/master/resources/pyuplift-logo.png)

[![Documentation Status](https://readthedocs.org/projects/pyuplift/badge/?version=latest)](https://pyuplift.readthedocs.io/en/latest/?badge=latest)
[![Build Status](https://travis-ci.org/duketemon/pyuplift.svg?branch=master)](https://travis-ci.org/duketemon/pyuplift)
[![PyPI - Python Version](https://img.shields.io/badge/python-3.5%20%7C%203.6%20%7C%203.7-blue.svg)](https://github.com/duketemon/pyuplift)
[![GitHub](https://img.shields.io/github/license/duketemon/pyuplift.svg)](https://github.com/duketemon/pyuplift/blob/master/LICENSE)

[Documentation](https://pyuplift.readthedocs.io) •
[License](https://github.com/duketemon/pyuplift/blob/master/LICENSE) •
[How to contribute](#how-to-contribute) •
[Uplift datasets](#uplift-datasets) •
[Inspiration](#inspiration)

## Installation
### Install from PyPI
```bash
pip install pyuplift
```
### Install from source code
```bash
git clone https://github.com/duketemon/pyuplift.git
cd pyuplift
python setup.py install
```

## How to contribute
Any contributions are always welcomed. There is a lot of ways how you can help to the project.
* Contribute to the [tests](https://github.com/duketemon/pyuplift/tree/master/tests) to make it more reliable.
* Contribute to the [documentation](https://github.com/duketemon/pyuplift/tree/master/docs) to make it clearer for everyone.
* Contribute to the [tutorials](https://github.com/duketemon/pyuplift/tree/master/tutorials) to share your experience with other users.
* Look for [issues with tag "help wanted"](https://github.com/duketemon/pyuplift/issues?q=is%3Aissue+is%3Aopen+label%3A"help+wanted") and submit pull requests to address them.
* [Open an issue](https://github.com/duketemon/pyuplift/issues) to report problems or recommend new features.

## Uplift datasets
* [Criteo Uplift Prediction](http://ailab.criteo.com/criteo-uplift-prediction-dataset)
* [Hillstrom Email Marketing](https://blog.minethatdata.com/2008/05/best-answer-e-mail-analytics-challenge.html)
* [Lalonde NSW](https://users.nber.org/~rdehejia/nswdata.html)

## Compatible with
* [NumPy](https://github.com/numpy/numpy)
* [Scikit-learn](https://github.com/scikit-learn/scikit-learn)

## Inspiration
* [Identifying Individuals Who Are Truly Impacted by Treatment](https://www.researchgate.net/profile/Victor_Lo3/publication/270217235_Identifying_Individuals_Who_Are_Truly_Impacted_by_Treatment_Introduction_to_Recent_Advances_in_Uplift_Modeling/links/54a2dbbf0cf257a63604da2a/Identifying-Individuals-Who-Are-Truly-Impacted-by-Treatment-Introduction-to-Recent-Advances-in-Uplift-Modeling.pdf)
* [Pinpointing the Persuadables: Convincing the Right Voters to Support Barack Obama](https://www.predictiveanalyticsworld.com/patimes/video-dan-porter-clip/2957)
* [Revenue Uplift Modeling](https://www.researchgate.net/publication/321729653_Revenue_Uplift_Modeling)

## References
* Devriendt F, Moldovan D, Verbeke W. A literature survey and experimental evaluation of the state-of-the-art in uplift modeling: A stepping stone toward the development of prescriptive analytics. Big data. 2018 Mar 1;6(1):13-41.
* Weisberg HI, Pontes VP. Post hoc subgroups in clinical trials: Anathema or analytics?. Clinical trials. 2015 Aug;12(4):357-64.
* Lo VS. The true lift model: a novel data mining approach to response modeling in database marketing. ACM SIGKDD Explorations Newsletter. 2002 Dec 1;4(2):78-86.
* Guelman L, Guillén M, Pérez-Marín AM. A decision support framework to implement optimal personalized marketing interventions. Decision Support Systems. 2015 Apr 1;72:24-32.
* Tian L, Alizadeh AA, Gentles AJ, Tibshirani R. A simple method for estimating interactions between a treatment and a large number of covariates. Journal of the American Statistical Association. 2014 Oct 2;109(508):1517-32.
